//-----------------------------------------------------
//	DirectShowによる音声ファイル再生サンプル
//	2010.01.05 TMO
//-----------------------------------------------------

#include <dshow.h>

class CShowSound
{
public:
	CShowSound();
	~CShowSound();

	///ファイルの読み込み
	void LoadFile( BSTR file );
	
	///再生 or 一時停止からの再開
	void Play();
	
	///ループ再生
	void PlayLoop();
	void ChkLoop();

	///再生中の場合でも先頭に戻して再生し直す
	void PlayFromStart();

	///一時停止
	void Pause();

	///停止
	void Stop();

	void VolUp();
	void VolDown();

	///リソース解放
	void Release();
	
private:
	IGraphBuilder*	m_p_graph_builder;
	//ファイルの読み込み、再生停止などを行う
	IMediaControl*	m_p_media_ctrl;
	//再生位置を指定するのに使う
	IMediaPosition*	m_p_media_pos;

	bool m_b_play;
	bool m_b_loop_mode;
};